<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>Car Care</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <!-- css files -->
    <link href="../static/css/bootstrap.css" th:href="@{css/bootstrap.css}" rel="stylesheet" type="text/css"
          media="all"/> <!-- Bootstrap-Core-CSS -->
    <link href="../static/css/admin.css" th:href="@{css/admin.css}" rel="stylesheet" type="text/css" media="all"/>
    <!-- Style-CSS -->
    <link rel="stylesheet" href="../static/css/font-awesome.css" th:href="@{css/font-awesome.css}">
    <!-- Font-Awesome-Icons-CSS -->
    <link th:href="@{/css/popup.css}" href="../static/css/popup.css" rel="stylesheet">

    <!-- //css files -->

    <!-- online-fonts -->
    <link href="//fonts.googleapis.com/css?family=Jockey+One&amp;subset=latin-ext" rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i&amp;subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext,vietnamese"
          rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Niconne&amp;subset=latin-ext" rel="stylesheet">
    <!-- //online-fonts -->

</head>

<body>
<!-- banner -->
<div class="banner-2 wthree">
    <div class="container">
        <div class="banner_top">
            <div class="logo wow fadeInLeft animated animated" data-wow-delay=".5s"
                 style="visibility: visible; animation-delay: 0.5s; animation-name: fadeInLeft;">
                <h1><a th:href="@{/}"><span>C</span>ar Care</a></h1>
            </div>
            <div class="banner_top_right wow fadeInRight animated animated" data-wow-delay=".5s"
                 style="visibility: visible; animation-delay: 0.5s; animation-name: fadeInRight;">
                <nav class="navbar navbar-default">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                                data-target="#bs-example-navbar-collapse-1">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse nav-wil" id="bs-example-navbar-collapse-1">
                        <ul class="nav navbar-nav cl-effect-14">
                            <li><a th:href="@{/}">Home</a></li>
                            <li><a sec:authorize="!isAuthenticated()" th:href="@{/contact}">Contact Us</a></li>
                            <li><a sec:authorize="hasRole('ROLE_ADMIN') || hasRole('ROLE_USER')" th:href="@{/profile}">Profile</a>
                            </li>
                            <li><a sec:authorize="hasRole('ADMIN')" th:href="@{/admin}" class="active">Admin Portal</a>
                            </li>
                            <li><a sec:authorize="!isAuthenticated()" th:href="@{/login}">Login</a></li>
                            <li><a sec:authorize="isAuthenticated()" th:href="@{/logout}">Logout</a></li>
                        </ul>
                    </div><!-- /.navbar-collapse -->

                </nav>
            </div>
            <div class="clearfix"></div>
        </div>
        <!-- banner -->

    </div>
</div>
<!-- //banner -->

<!-- Main -->
<!-- Contact -->
<hr>

<div class="container bootstrap snippet">

    <div class="row">
        <div class="col-sm-3"><!--left col-->


            <!--            <div class="col-md-4">-->
            <!--                <img th:src="'/img/' + ${customer.imagePath}" id="profile-picture"-->
            <!--                     class="img-thumbnail"-->
            <!--                     alt="example placeholder avatar">-->
            <!--                <form action="" th:action="@{/customers/upload}" method="post" enctype="multipart/form-data">-->
            <!--                    <input type="file" name="files" multiple>-->
            <!--                    <input type="submit" value="Upload Files">-->
            <!--                </form>-->
            <!--            </div>-->
            </hr><br>

        </div><!--/col-3-->
        <div class="col-sm-9">
            <ul class="nav nav-tabs">
                <li class="active"><a data-toggle="tab" href="#home">All customers</a></li>
                <li><a data-toggle="tab" href="#cars">All cars</a></li>
                <li><a data-toggle="tab" href="#visits">All visits</a></li>
                <li><a data-toggle="tab" href="#services">All services</a></li>
            </ul>


            <div class="tab-content">
                <div class="tab-pane active" id="home">
                    <hr>
                    <div class="container">
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1">
                                <div class="panel panel-default panel-table">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col col-xs-6">
                                                <h1 class="panel-title">Customers</h1>
                                            </div>
                                            <!--                                                                    <div class="col col-xs-6 text-right">-->
                                            <!--                                                                        <a  th:href="@{/cars/new}" type="button" class="btn btn-sm btn-primary btn-create">-->
                                            <!--                                                                            Create New-->
                                            <!--                                                                        </a>-->
                                            <!--                                                                    </div>-->
                                        </div>
                                    </div>
                                    <div class="panel-body">
                                        <table class="table table-striped table-bordered table-list">
                                            <thead>
                                            <tr>
                                                <th><em class="fa fa-cog"></em></th>
                                                <th class="hidden-xs">ID</th>
                                                <th>Name</th>
                                                <th>Email</th>
                                                <th>Phone</th>
                                                <th>Cars' registrations</th>
                                            </tr>

                                            </thead>
                                            <tbody>
                                            <tr th:each="customer : ${customers}">
                                                <td align="center">
                                                    <a th:href="@{'/admin/customer/edit/' + ${customer.getId()}}"
                                                       class="btn btn-default"><em class="fa fa-pencil"></em></a>
                                                    <a th:href="@{'/admin/customer/delete/' + ${customer.getId()}}"
                                                       onclick="return confirm('Are you sure you want to delete this customer?');"
                                                       class="btn btn-danger"><em class="fa fa-trash"></em></a>


                                                </td>
                                                <td th:text="${customer.getId()}" class="hidden-xs">1</td>
                                                <td th:text="${customer.getName()}">John Doe</td>
                                                <td th:text="${customer.getEmail()}">johndoe@example.com</td>
                                                <td th:text="${customer.getPhone()}"></td>
                                                <td th:text="${customer.getCars()}"></td>
                                            </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                    <div class="panel-footer">
                                        <div class="row">
                                            <div class="col col-xs-4">Page 1 of 5
                                            </div>
                                            <div class="col col-xs-8">
                                                <ul class="pagination hidden-xs pull-right">
                                                    <li><a href="#">1</a></li>
                                                    <li><a href="#">2</a></li>
                                                    <li><a href="#">3</a></li>
                                                    <li><a href="#">4</a></li>
                                                    <li><a href="#">5</a></li>
                                                </ul>
                                                <ul class="pagination visible-xs pull-right">
                                                    <li><a href="#">«</a></li>
                                                    <li><a href="#">»</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <hr>

                </div><!--/tab-pane-->
                <div class="tab-pane" id="cars">
                    <hr>
                    <div class="container">
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1">
                                <div class="panel panel-default panel-table">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col col-xs-6">
                                                <h3 class="panel-title">Cars</h3>
                                            </div>
                                            <div class="col col-xs-6 text-right">
                                                <a th:href="@{/admin/new-car}" type="button"
                                                   class="btn btn-sm btn-primary btn-create">
                                                    Create New
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-body">
                                        <table class="table table-striped table-bordered table-list">
                                            <thead>
                                            <tr>
                                                <th><em class="fa fa-cog"></em></th>
                                                <th class="hidden-xs">ID</th>
                                                <th>Owner</th>
                                                <th>Registration</th>
                                                <th>VIN</th>
                                                <th>Manufacturer</th>
                                                <th>Model</th>
                                                <th>Year</th>
                                            </tr>

                                            </thead>
                                            <tbody>
                                            <tr th:each="car : ${cars}">
                                                <td align="center">
                                                    <a th:href="@{'/admin/car/edit/' + ${car.getId()}}"
                                                       class="btn btn-default"><em class="fa fa-pencil"></em></a>
                                                    <a th:href="@{'/admin/car/delete/' + ${car.getId()}}"
                                                       onclick="return confirm('Are you sure you want to delete this car?');"
                                                       class="btn btn-danger"><em class="fa fa-trash"></em></a>
                                                </td>
                                                <td th:text="${car.getId()}" class="hidden-xs">1</td>
                                                <td th:text="${car.getCustomer().getName()}">John Doe</td>
                                                <td th:text="${car.getRegistration()}">johndoe@example.com</td>
                                                <td th:text="${car.getCarVin()}"></td>
                                                <td th:text="${car.getManufacturer()}"></td>
                                                <td th:text="${car.getModel()}"></td>
                                                <td th:text="${car.getYear()}"></td>
                                            </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                    <div class="panel-footer">
                                        <div class="row">
                                            <div class="col col-xs-4">Page 1 of 5
                                            </div>
                                            <div class="col col-xs-8">
                                                <ul class="pagination hidden-xs pull-right">
                                                    <li><a href="#">1</a></li>
                                                    <li><a href="#">2</a></li>
                                                    <li><a href="#">3</a></li>
                                                    <li><a href="#">4</a></li>
                                                    <li><a href="#">5</a></li>
                                                </ul>
                                                <ul class="pagination visible-xs pull-right">
                                                    <li><a href="#">«</a></li>
                                                    <li><a href="#">»</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <hr>

                </div><!--/tab-pane-->
                <div class="tab-pane" id="visits">
                    <hr>
                    <div class="container">
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1">
                                <div class="panel panel-default panel-table">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col col-xs-6">
                                                <h3 class="panel-title">Visits</h3>
                                            </div>
                                            <div class="col col-xs-6 text-right">
                                                <a th:href="@{/admin/new-visit}" type="button"
                                                   class="btn btn-sm btn-primary btn-create">
                                                    Create New
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-body">
                                        <table class="table table-striped table-bordered table-list">
                                            <thead>
                                            <tr>
                                                <th><em class="fa fa-cog"></em></th>
                                                <th class="hidden-xs">ID</th>
                                                <th>Car Registration</th>
                                                <th>Date</th>
                                                <th>Total Price</th>
                                                <th>Services</th>
                                            </tr>

                                            </thead>
                                            <tbody>
                                            <tr th:each="visit : ${visits}">
                                                <td align="center">
                                                    <a th:href="@{'/admin/visit/edit/' + ${visit.getId()}}"
                                                       class="btn btn-default"><em class="fa fa-pencil"></em></a>
                                                    <a th:href="@{'/admin/visit/delete/' + ${visit.getId()}}"
                                                       onclick="return confirm('Are you sure you want to delete this car?');"
                                                       class="btn btn-danger"><em class="fa fa-trash"></em></a>
                                                </td>
                                                <td th:text="${visit.getId()}" class="hidden-xs">1</td>
                                                <td th:text="${visit.getCar().registration}">John Doe</td>
                                                <td th:text="${visit.getDate()}">johndoe@example.com</td>
                                                <td th:text="${visit.getTotalPrice()}"></td>
                                                <td th:text="${visit.getCarServices()}"></td>
                                            </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                    <div class="panel-footer">
                                        <div class="row">
                                            <div class="col col-xs-4">Page 1 of 5
                                            </div>
                                            <div class="col col-xs-8">
                                                <ul class="pagination hidden-xs pull-right">
                                                    <li><a href="#">1</a></li>
                                                    <li><a href="#">2</a></li>
                                                    <li><a href="#">3</a></li>
                                                    <li><a href="#">4</a></li>
                                                    <li><a href="#">5</a></li>
                                                </ul>
                                                <ul class="pagination visible-xs pull-right">
                                                    <li><a href="#">«</a></li>
                                                    <li><a href="#">»</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr>

                </div>

                <div class="tab-pane" id="services">
                    <hr>
                    <div class="container">
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1">
                                <div class="panel panel-default panel-table">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col col-xs-6">
                                                <h3 class="panel-title">Services</h3>
                                            </div>
                                            <div class="col col-xs-6 text-right">
                                                <a th:href="@{/admin/new-service}" type="button"
                                                   class="btn btn-sm btn-primary btn-create">
                                                    Create New
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-body">
                                        <table class="table table-striped table-bordered table-list">
                                            <thead>
                                            <tr>
                                                <th><em class="fa fa-cog"></em></th>
                                                <th class="hidden-xs">ID</th>
                                                <th>Service Type</th>
                                                <th>Price</th>
                                            </tr>

                                            </thead>
                                            <tbody>
                                            <tr th:each="service : ${services}">
                                                <td align="center">
                                                    <a th:href="@{'/admin/service/edit/' + ${service.getId()}}"
                                                       class="btn btn-default"><em class="fa fa-pencil"></em></a>
                                                    <a th:href="@{'/admin/service/delete/' + ${service.getId()}}"
                                                       onclick="return confirm('Are you sure you want to delete this car?');"
                                                       class="btn btn-danger"><em class="fa fa-trash"></em></a>
                                                </td>
                                                <td th:text="${service.getId()}" class="hidden-xs">1</td>
                                                <td th:text="${service.getServiceType()}">John Doe</td>
                                                <td th:text="${service.getPrice()}"></td>
                                            </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                    <div class="panel-footer">
                                        <div class="row">
                                            <div class="col col-xs-4">Page 1 of 5
                                            </div>
                                            <div class="col col-xs-8">
                                                <ul class="pagination hidden-xs pull-right">
                                                    <li><a href="#">1</a></li>
                                                    <li><a href="#">2</a></li>
                                                    <li><a href="#">3</a></li>
                                                    <li><a href="#">4</a></li>
                                                    <li><a href="#">5</a></li>
                                                </ul>
                                                <ul class="pagination visible-xs pull-right">
                                                    <li><a href="#">«</a></li>
                                                    <li><a href="#">»</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr>

                </div>
            </div>
        </div><!--/tab-pane-->
    </div><!--/tab-content-->

</div><!--/col-9-->
</div><!--/row-->
<!-- //Contact -->
<!-- //Main -->

<!--<div id="popup1" class="overlay">-->
<!--    <div class="popup">-->
<!--        <h2>Editorial Window</h2>-->
<!--        <a id="close-pop" class="close" href="#">&times;</a>-->
<!--        <div id="content">-->

<!--            <div class="form-group">-->
<!--                <label for="name-edit">Service Type</label>-->
<!--                <input type="text" class="form-control" id="name-edit"-->
<!--                       placeholder="Service Type">-->
<!--            </div>-->

<!--            <div class="form-group">-->
<!--                <label for="price-edit">Price</label>-->
<!--                <input type="number" class="form-control" id="price-edit" placeholder="Price">-->
<!--            </div>-->

<!--            <br>-->

<!--            <button type="submit" class="btn btn-primary btn-md submit-edit">Edit-->
<!--            </button>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->

<!--<div id="popup1" class="overlay">-->
<!--    <div class="popup">-->
<!--        <h2>Editorial Window</h2>-->
<!--        <a id="close-pop" class="close" href="#">&times;</a>-->
<!--        <div id="content">-->
<!--            <div class="form-row">-->

<!--                &lt;!&ndash;                <form action="" th:action="@{'/admin/customer/edit/' + ${customer.getId()}}"&ndash;&gt;-->
<!--                <form action="" th:action="@{/admin/service/edit/{id} (id=${service.id})}"-->
<!--                      th:object="${service}" th:method="post">-->

<!--                <label>First name:</label>-->
<!--                    <input type="text" th:field="*{serviceType}"/>-->
<!--                    <label style="color: red" th:errors="*{serviceType}">First name error</label>-->

<!--                    <br>-->
<!--                    <label>Last name:</label>-->
<!--                    <input type="text" th:field="*{price}"/>-->
<!--                    <label style="color: red" th:errors="*{price}">Last name error</label>-->

<!--                    <br>-->

<!--                    <button type="submit" class="btn btn-primary btn-md submit-edit">Edit-->
<!--                    </button>-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->



<!--<div id="popup1" class="overlay">-->
<!--    <div class="popup">-->
<!--        <h2>Editorial Window</h2>-->
<!--        <a id="close-pop" class="close" href="#">&times;</a>-->
<!--        <div id="content">-->
<!--            <div class="col-6 offset-3">-->
<!--&lt;!&ndash;                <p>&ndash;&gt;-->
<!--&lt;!&ndash;                    <i th:if="${error != null}" th:text="${error}" style="color: red"></i>&ndash;&gt;-->
<!--&lt;!&ndash;                </p>&ndash;&gt;-->

<!--                <form action="" th:action="@{/customers/edit}"-->
<!--                      th:object="${editCustomer}" th:method="put">-->

<!--                    <br>-->
<!--                    <label>Name:</label>-->
<!--                    <input type="text" th:field="*{name}"/>-->
<!--                    <label style="color: red" th:errors="*{name}">Name error</label>-->

<!--                    <br>-->
<!--                    <label>Phone number:</label>-->
<!--                    <input type="text" th:field="*{phone}"/>-->
<!--                    <label style="color: red" th:errors="*{phone}">Phone number error</label>-->

<!--                    <br>-->
<!--                    <label>Current password:</label>-->
<!--                    <input type="text" th:field="*{currentPassword}"/>-->
<!--                    <label style="color: red" th:errors="*{currentPassword}">Password error</label>-->
<!--                    <br>-->
<!--                    <label>New password:</label>-->
<!--                    <input type="text" th:field="*{newPassword}"/>-->
<!--                    <label style="color: red" th:errors="*{newPassword}">Password error</label>-->

<!--                    &lt;!&ndash;                <br/><br/>&ndash;&gt;-->
<!--                    &lt;!&ndash;                <label>Beer picture:</label>&ndash;&gt;-->
<!--                    &lt;!&ndash;                <input type="text" th:field="*{picture}"/>&ndash;&gt;-->
<!--                    &lt;!&ndash;                <label style="color: red" th:errors="*{picture}">name error</label>&ndash;&gt;-->
<!--                    <br/><br/>-->

<!--                    <input type="submit" value="Save"/>-->
<!--                </form>-->
<!--            </div>-->
<!--            <div id="submit-edit-user"></div>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->

<!-- Modal -->
<!--<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"-->
<!--     aria-hidden="true">-->
<!--    <div class="modal-dialog" role="document">-->
<!--        <div class="modal-content">-->
<!--            <div class="modal-header">-->
<!--                <h5 class="modal-title" id="exampleModalLabel">Change password</h5>-->
<!--            </div>-->
<!--            <div class="modal-body">-->
<!--                <form th:action="@{/admin/customer/edit/{id} (id=${customer.id})}" method="post">-->
<!--                    <div class="form-group">-->
<!--                        <label for="name" class="col-form-label">Name</label>-->
<!--                        <input type="text" class="form-control" id="name" th:name="name"/>-->
<!--                    </div>-->
<!--                    <div class="form-group">-->
<!--                        <label for="phone" class="col-form-label">Phone</label>-->
<!--                        <input type="phone" class="form-control" id="phone" th:name="phone"/>-->
<!--                    </div>-->
<!--                    <div class="modal-footer">-->
<!--                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>-->
<!--                        <button type="submit" class="btn btn-primary">Save</button>-->
<!--                    </div>-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->

<!-- Footer -->
<div class="footer1 w3ls">
    <div class="container">
        <div class="footer-main">
            <div class="footer-top">
                <div class="col-md-4 ftr-grid fg1">
                    <h4><a href="index.html">Car care</a></h4>
                    <p>Our services are available 24/7, so feel free to contact us at any time!</p>
                </div>
                <div class="col-md-4 ftr-grid fg2">
                    <h3>Our Address</h3>
                    <div class="ftr-address">
                        <div class="local">
                            <i class="fa fa-phone" aria-hidden="true"></i>
                        </div>
                        <div class="ftr-text">
                            <p>+359 89 952 0590</p>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="ftr-address">
                        <div class="local">
                            <i class="fa fa-envelope" aria-hidden="true"></i>
                        </div>
                        <div class="ftr-text">
                            <p><a href="mailto:info@example.com">hadzhiev.service@gmail.com</a></p>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="col-md-4 ftr-grid fg2">
                    <h3>Keep In Touch With Us</h3>
                    <div class="right-w3l">
                        <ul class="top-links">
                            <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                        </ul>
                    </div>
                    <div class="right-w3-2">
                        <ul class="text-w3">
                            <li><a href="#">Facebook</a></li>
                        </ul>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
</div>
<!-- Footer -->

<!-- js-scripts -->
<!-- js -->
<script type="text/javascript" src="js/jquery-2.1.4.min.js"></script>
<script type="text/javascript" src="js/bootstrap.js"></script> <!-- Necessary-JavaScript-File-For-Bootstrap -->
<!-- //js -->
<!--		<script src="js/jzBox.js"></script>-->
<!-- //js-scripts -->
</body>
</html>